#!/usr/bin/bash

SCREEN=$1
LOG_FILE=$2

exec 2>&1
exec >>$LOG_FILE

EXTENSIONS="arcmenu@arcmenu.com ding@rastersoft.com dash-to-panel@jderose9.github.com"
for ext in $EXTENSIONS; do
	gnome-extensions disable $ext
done

gnome-extensions disable dash-to-dock@gnome-shell-extensions.gcampax.github.com

if echo $SCREEN | grep -q '^gnome_classic'; then
	for ext in $EXTENSIONS; do
		gnome-extensions enable $ext
	done
elif echo $SCREEN | grep -q '^gnome_shell'; then
	gnome-extensions enable dash-to-dock@gnome-shell-extensions.gcampax.github.com
else
    echo "Error"
    exit 1
fi

